> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for account transactions

> List all account transactions.
Fiskil always queries this endpoint using a `startTime` and an `endTime`, for example, `/accounts/{accountId}/transactions?startTime=2022-01-30&endTime=2022-05-30`,
and expects the time filters to be based on the `postedTimestamp`.




## OpenAPI

````yaml /openapi/fdx.yml get /fdx/v6/customer/{customerId}/accounts/{accountId}/transactions
openapi: 3.0.3
info:
  version: 1.0.0
  title: Fiskil FDX API
  description: >
    The Fiskil FDX API is a subset of the FDX API specification suited to most
    Open Finance use cases. You must implement this API and configure it as your
    Data Provider's

    [Resource Server](/guide/resource_server) so your Data Provider can return
    the appropriate data once an authorisation has been created.

    ## FDX compliance


    The Fiskil FDX API specifications are a subset of the Financial Data
    Exchange (FDX) API specification, the usage thereof (or any part thereof)
    constitutes acceptance of the FDX API

    License Agreement, which can be found at https://financialdataexchange.org/.
    The FDX API specification is distributed exclusively by FDX. Modifications
    to eliminate required or

    conditional elements prescribed in the FDX API Certification Use Cases will
    render any implementations using said modifications non-conformant with the
    FDX API Certification Use Cases.

    Please note that building the FDX-compliant Data Provider API and permitting
    Fiskil to call your build constitutes acceptance of

    the FDX end user license agreement, which can be found at
    https://financialdataexchange.org/.

    The full FDX API standard specification is distributed exclusively by FDX.


    ## Error handling

    When handling errors in your API it is important you return the error
    structures defined in this specification so that your responses remain FDX
    compliant. Each API defines the

    various error conditions that you may encounter and how to represent them.
  contact:
    name: Fiskil Support
    url: https://fiskil.com
    email: support@fiskil.com.au
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /fdx/v6/customer/{customerId}/accounts/{accountId}/transactions:
    get:
      tags:
        - Account Transactions
      summary: Search for account transactions
      description: >
        List all account transactions.

        Fiskil always queries this endpoint using a `startTime` and an
        `endTime`, for example,
        `/accounts/{accountId}/transactions?startTime=2022-01-30&endTime=2022-05-30`,

        and expects the time filters to be based on the `postedTimestamp`.
      operationId: searchForAccountTransactions
      parameters:
        - $ref: '#/components/parameters/CustomerIdPath'
        - $ref: '#/components/parameters/AccountIdPath'
        - $ref: '#/components/parameters/OffsetQuery'
        - $ref: '#/components/parameters/LimitQuery'
        - $ref: '#/components/parameters/StartTimeQuery'
        - $ref: '#/components/parameters/EndTimeQuery'
      responses:
        '200':
          description: |
            Paginated collection of transactions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transactions'
              example:
                page:
                  nextOffset: B47D80MVP23T
                transactions:
                  - accountCategory: DEPOSIT_ACCOUNT
                    transactionType: CHECK
                    checkNumber: 1234
                    payee: ACME LLC
                    transactionId: depositTransaction000000001
                    postedTimestamp: '2022-04-06T00:00:00.000Z'
                    transactionTimestamp: '2022-04-05T00:00:00.000Z'
                    description: check for latest ACME invoice
                    debitCreditMemo: DEBIT
                    status: PENDING
                    amount: 400
                  - accountCategory: DEPOSIT_ACCOUNT
                    transactionType: ADJUSTMENT
                    transactionId: depositTransaction000000002
                    postedTimestamp: '2022-04-07T00:00:00.000Z'
                    transactionTimestamp: '2022-04-07T00:00:00.000Z'
                    description: reconciliation/adjustment of bank statement error
                    debitCreditMemo: DEBIT
                    status: POSTED
                    amount: 0.8
                  - accountCategory: DEPOSIT_ACCOUNT
                    transactionType: ATMDEPOSIT
                    transactionId: depositTransaction000000003
                    postedTimestamp: '2022-04-08T00:00:00.000Z'
                    transactionTimestamp: '2022-04-08T00:00:00.000Z'
                    description: 'ATM cash deposit location #1234'
                    debitCreditMemo: CREDIT
                    status: POSTED
                    amount: 101.8
        '404':
          $ref: '#/components/responses/responseErrorCustomerIdNotFound'
        '409':
          description: |
            Account is closed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountIsClosedError'
        '422':
          description: |
            Account type not supported
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountTypeNotSupportedError'
        '500':
          description: |
            Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
        '503':
          description: |
            Scheduled maintenance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduledMaintenanceError'
components:
  parameters:
    CustomerIdPath:
      name: customerId
      in: path
      description: >
        Unique identifier for the user the account belongs to. This will be the
        user that authorized the data sharing.
      required: true
      schema:
        $ref: '#/components/schemas/Identifier'
    AccountIdPath:
      name: accountId
      in: path
      description: >
        Account identifier, found in the `GET /accounts` endpoint response.


        **Note:** If the status of the `accountId` provided is `RESTRICTED`, you
        can send a 200 response with an empty body to indicate that no payment
        networks are available at this time.
      required: true
      schema:
        $ref: '#/components/schemas/Identifier'
    OffsetQuery:
      name: offset
      in: query
      description: >
        An opaque ID that indicates there is at least one more page of data
        available. This value does not need to be numeric or have any specific
        pattern. If provided, the Data Provider will use this value to send a
        new request and retrieve the next page. Omitting this value indicates
        that there is no more data to retrieve.
      schema:
        type: string
        example: qwer123454q2f
    LimitQuery:
      name: limit
      in: query
      description: >
        The number of elements that the API consumer wishes to receive. To
        retrieve multiple pages, the Data Provider will use the opaque
        `nextOffset` field to send a subsequent request until the `nextOffset`
        is no longer included.
      schema:
        type: integer
    StartTimeQuery:
      name: startTime
      in: query
      description: >
        Start time for use in retrieval of elements (ISO 8601). For
        transactions, this should filter by the `postedTimestamp` of the
        transaction
      schema:
        $ref: '#/components/schemas/DateString'
    EndTimeQuery:
      name: endTime
      in: query
      description: >
        End time for use in retrieval of elements (ISO 8601). For transactions,
        this should to filter by the `postedTimestamp` of the transaction
      schema:
        $ref: '#/components/schemas/DateString'
  schemas:
    Transactions:
      title: Transactions entity
      allOf:
        - $ref: '#/components/schemas/PaginatedArray'
        - type: object
          properties:
            transactions:
              type: array
              description: >
                An optionally paginated array of transactions.

                May be any of the following: [deposit
                transaction](#model/deposittransaction), [investment
                transaction](#model/investmenttransaction), [loan
                transaction](#model/loantransaction), [line of credit
                transaction](#model/lineofcredittransaction)
              items:
                discriminator:
                  propertyName: accountCategory
                  mapping:
                    DEPOSIT_ACCOUNT:
                      $ref: '#/components/schemas/DepositTransaction'
                    INVESTMENT_ACCOUNT:
                      $ref: '#/components/schemas/InvestmentTransaction'
                    LOAN_ACCOUNT:
                      $ref: '#/components/schemas/LoanTransaction'
                    LOC_ACCOUNT:
                      $ref: '#/components/schemas/LineOfCreditTransaction'
                oneOf:
                  - $ref: '#/components/schemas/DepositTransaction'
                  - $ref: '#/components/schemas/InvestmentTransaction'
                  - $ref: '#/components/schemas/LineOfCreditTransaction'
                  - $ref: '#/components/schemas/LoanTransaction'
          required:
            - transactions
    AccountIsClosedError:
      title: Account Is Closed Error
      description: Error response when the API does not support closed accounts
      type: object
      properties:
        code:
          type: integer
          description: |
            FDX Error code for account is closed
          enum:
            - 705
          example: 705
        message:
          type: string
          description: >
            End user displayable information which might help the customer
            diagnose an error
        debugMessage:
          type: string
          description: >
            Message used to debug the root cause of the error. Provider can
            include an error GUID in message for their use
      required:
        - code
        - message
      example:
        code: 705
        message: Account is closed
        debugMessage: Operation is not supported by the closed account
    AccountTypeNotSupportedError:
      title: Account Type Not Supported Error
      description: >-
        Error response when the API does not supported the type of account
        requested
      type: object
      properties:
        code:
          type: integer
          description: |
            FDX Error code for account type not supported
          enum:
            - 704
          example: 704
        message:
          type: string
          description: >
            End user displayable information which might help the customer
            diagnose an error
        debugMessage:
          type: string
          description: >
            Message used to debug the root cause of the error. Provider can
            include an error GUID in message for their use
      required:
        - code
        - message
      example:
        code: 704
        message: Account type not supported
        debugMessage: The account type does not support the selected action
    InternalServerError:
      title: Internal Server Error
      description: Error response for internal server errors
      type: object
      properties:
        code:
          type: integer
          description: |
            FDX Error code for internal server error
          enum:
            - 500
          example: 500
        message:
          type: string
          description: >
            End user displayable information which might help the customer
            diagnose an error
        debugMessage:
          type: string
          description: >
            Message used to debug the root cause of the error. Provider can
            include an error GUID in message for their use
      required:
        - code
        - message
      example:
        code: 500
        message: Internal server error
        debugMessage: Provider custom developer-level error details for troubleshooting
    ScheduledMaintenanceError:
      title: Scheduled Maintenance Error
      description: Error response when system is under scheduled maintenance
      type: object
      properties:
        code:
          type: integer
          description: |
            FDX Error code for scheduled maintenance
          enum:
            - 503
          example: 503
        message:
          type: string
          description: >
            End user displayable information which might help the customer
            diagnose an error
        debugMessage:
          type: string
          description: >
            Message used to debug the root cause of the error. Provider can
            include an error GUID in message for their use
      required:
        - code
        - message
      example:
        code: 503
        message: Scheduled maintenance
        debugMessage: >-
          System is down for maintenance. Retry-After HTTP header may be used to
          communicate estimated time of recovery
    Identifier:
      title: Identifier
      description: |
        Value for a unique identifier
      type: string
      maxLength: 256
      example: someLongTermUniqueIDString
    DateString:
      title: Date String
      description: >
        ISO 8601 full-date in format 'YYYY-MM-DD' according

        to [IETF
        RFC3339](https://datatracker.ietf.org/doc/html/rfc3339.html#section-5.6)
      type: string
      format: date
      maxLength: 10
      example: '2021-07-15'
    PaginatedArray:
      title: Paginated Array
      description: |
        Base class for results that may be paginated
      type: object
      properties:
        page:
          $ref: '#/components/schemas/PageMetadata'
    DepositTransaction:
      title: Deposit Transaction
      description: |
        A transaction on a deposit account type
      type: object
      allOf:
        - $ref: '#/components/schemas/Transaction'
        - type: object
          properties:
            accountCategory:
              type: string
              enum:
                - DEPOSIT_ACCOUNT
            payee:
              $ref: '#/components/schemas/String255'
              description: |
                Payee name
            checkNumber:
              type: integer
              description: >
                Check number. This should only be set if the transaction
                involves a check
          required:
            - accountCategory
      example:
        accountCategory: DEPOSIT_ACCOUNT
        transactionId: 78RJ3311PLU34300E
        transactionTimestamp: '2024-07-15T14:46:41.375+02:00'
        description: ATM deposit
        debitCreditMemo: DEBIT
        status: PENDING
        amount: 38.9
    InvestmentTransaction:
      title: Investment Transaction
      description: |
        A transaction on an investment account.
      type: object
      allOf:
        - $ref: '#/components/schemas/Transaction'
        - type: object
          properties:
            accountCategory:
              type: string
              enum:
                - INVESTMENT_ACCOUNT
            transactionType:
              $ref: '#/components/schemas/InvestmentTransactionType'
            securityId:
              type: string
              description: >
                This field, along with `securityIdType` are **required** unless
                `symbol` is provided.


                **Note:** If `securityId` is provided, `securityIdType` is
                required.
            securityIdType:
              $ref: '#/components/schemas/SecurityIdType'
            securityType:
              $ref: '#/components/schemas/SecurityType'
            symbol:
              type: string
              description: >
                Ticker / Market symbol

                This field is **required** unless both `securityId` and
                `securityIdType` are provided
            commission:
              type: number
              description: |
                Required if the commission isn't included in `fees`
            fees:
              type: number
              description: >
                Fees applied to the trade. This should include commission,
                unless your organization separately provides a value for
                `commission`
            unitPrice:
              type: number
              description: >
                Unit price.

                **Note:** This field is required if the transaction involves a
                security
            units:
              type: number
              description: >
                **Note:** This field is required if the transaction involves a
                security.
            unitType:
              $ref: '#/components/schemas/UnitType'
            fiAttributes:
              type: array
              description: |
                Array of financial institution-specific attributes.
              items:
                $ref: '#/components/schemas/FiAttribute'
          required:
            - fees
            - transactionType
            - accountCategory
      example:
        accountCategory: INVESTMENT_ACCOUNT
        transactionId: 78RJ3311PLU34300E
        transactionTimestamp: '2024-07-15T14:46:41.375+02:00'
        description: Share purchase
        debitCreditMemo: DEBIT
        status: PENDING
        amount: 428.08
        fees: 4.28
        transactionType: PURCHASED
    LoanTransaction:
      title: Loan Transaction
      description: |
        A transaction on a loan account
      type: object
      allOf:
        - $ref: '#/components/schemas/Transaction'
        - type: object
          properties:
            accountCategory:
              type: string
              enum:
                - LOAN_ACCOUNT
            transactionType:
              $ref: '#/components/schemas/LoanTransactionType'
          required:
            - accountCategory
      example:
        accountCategory: LOAN_ACCOUNT
        transactionId: 78RJ3311PLU34300E
        transactionTimestamp: '2024-07-15T14:46:41.375+02:00'
        description: Monthly loan payment-minimum due
        debitCreditMemo: CREDIT
        status: POSTED
        amount: 1638.83
    LineOfCreditTransaction:
      title: Line-Of-Credit Transaction
      description: |
        A line-of-credit transaction
      type: object
      allOf:
        - $ref: '#/components/schemas/Transaction'
        - type: object
          properties:
            accountCategory:
              type: string
              enum:
                - LOC_ACCOUNT
            transactionType:
              $ref: '#/components/schemas/LineOfCreditTransactionType'
            checkNumber:
              type: integer
              description: >
                Check number. This should only be set if the transaction
                involves a cheque
          required:
            - accountCategory
      example:
        accountCategory: LOC_ACCOUNT
        transactionId: 78RJ3311PLU34300E
        transactionTimestamp: '2024-07-15T14:46:41.375+02:00'
        description: Recurring payment
        debitCreditMemo: CREDIT
        status: AUTHORIZATION
        amount: 38.9
    GenericError:
      example:
        error: An error message
      type: object
      properties:
        error:
          type: string
          description: A message describing what caused the error
      required:
        - error
    PageMetadata:
      title: Page Metadata
      description: >
        Contains the opaque identifier, `nextOffset`, to indicate a paginated
        result set.
      type: object
      properties:
        nextOffset:
          type: string
          example: B47D80MVP23T
          description: |
            Opaque offset identifier
        totalElements:
          type: integer
          example: 3
          description: |
            Total number of elements
    Transaction:
      type: object
      discriminator:
        propertyName: accountCategory
      properties:
        accountCategory:
          $ref: '#/components/schemas/AccountCategory'
        transactionId:
          $ref: '#/components/schemas/Identifier'
          description: >
            Long term persistent identity of the transaction (unique to
            account). `status: PENDING` and `status: POSTED` transactions *may*
            have different IDs
        referenceTransactionId:
          $ref: '#/components/schemas/Identifier'
          description: |
            For reverse postings, the identity of the transaction being
            reversed. For the correction transaction, the identity of the
            reversing post. For credit card posting transactions, the identity
            of the authorization transaction
        postedTimestamp:
          $ref: '#/components/schemas/Timestamp'
          description: >
            The date and time that the transaction was posted to the account.


            This property is **required** when `status=POSTED`.

            This property should be omitted when `status=PENDING`


            ISO 8601 date-time in format `YYYY-MM-DDThh:mm:ss.nnn[Z|[+|-]hh:mm]`
            according to

            [IETF
            RFC3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6)
        transactionTimestamp:
          $ref: '#/components/schemas/Timestamp'
          description: >
            The date and time that the transaction was added to the server
            backend systems


            ISO 8601 date-time in format `YYYY-MM-DDThh:mm:ss.nnn[Z|[+|-]hh:mm]`
            according to

            [IETF
            RFC3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6)
        description:
          type: string
          description: |
            Description of the transaction
        debitCreditMemo:
          $ref: '#/components/schemas/DebitCreditMemo'
        category:
          type: string
          description: |
            Transaction category, preferably MCC or SIC.
        subCategory:
          type: string
          description: |
            Transaction category detail
        status:
          $ref: '#/components/schemas/TransactionStatus'
        amount:
          type: number
          description: >
            The amount of money in the account currency. The amount is an
            absolute value. Use the `debitCreditMemo` field to indicate the
            direction (and sign) of the transaction
        foreignAmount:
          type: number
          description: >
            The amount of money in the foreign currency. If this amount is
            specified, you should also set `foreignCurrency`
        foreignCurrency:
          $ref: '#/components/schemas/Iso4217Code'
      required:
        - debitCreditMemo
        - description
        - transactionId
        - transactionTimestamp
        - status
        - amount
    String255:
      title: String 255
      description: |
        String with a maximum length of 255 characters
      type: string
      maxLength: 255
    InvestmentTransactionType:
      title: Investment Transaction Type
      description: |
        The type of an investment transaction.
      type: string
      enum:
        - ADJUSTMENT
        - ATM
        - CASH
        - CHECK
        - CLOSURE
        - CLOSUREOPT
        - CONTRIBUTION
        - DEP
        - DEPOSIT
        - DIRECTDEBIT
        - DIRECTDEP
        - DIV
        - DIVIDEND
        - DIVIDENDREINVEST
        - EXPENSE
        - FEE
        - INCOME
        - INTEREST
        - INVEXPENSE
        - JRNLFUND
        - JRNLSEC
        - MARGININTEREST
        - OPTIONEXERCISE
        - OPTIONEXPIRATION
        - OTHER
        - PAYMENT
        - POS
        - PURCHASED
        - PURCHASEDTOCOVER
        - PURCHASETOCLOSE
        - PURCHASETOOPEN
        - REINVESTOFINCOME
        - REPEATPMT
        - RETURNOFCAPITAL
        - SOLD
        - SOLDTOCLOSE
        - SOLDTOOPEN
        - SPLIT
        - SRVCHG
        - TRANSFER
        - XFER
    SecurityIdType:
      title: Security ID Type
      description: >
        This field, along with `securityId` are **required** unless `symbol` is
        provided.


        **Note:** If `securityIdType` is provided, `securityId` is required.
      type: string
      enum:
        - CINS
        - CMC
        - CME
        - CUSIP
        - ISIN
        - ITSA
        - NASDAQ
        - SEDOL
        - SICC
        - VALOR
        - WKN
    SecurityType:
      title: Security Type
      description: |
        The type of a security
      type: string
      enum:
        - BOND
        - DEBT
        - MUTUALFUND
        - DIGITALASSET
        - OPTION
        - OTHER
        - STOCK
        - SWEEP
    UnitType:
      title: Unit Type
      description: |
        The units of an investment transaction
      type: string
      enum:
        - CURRENCY
        - SHARES
    FiAttribute:
      title: FI Attribute entity
      description: |
        Financial institution-specific attribute.
      type: object
      properties:
        name:
          type: string
          description: |
            Name of the financial institution-specific attribute
        value:
          type: string
          description: |
            Value of the financial institution-specific attribute
    LoanTransactionType:
      title: Loan Transaction Type
      description: >
        The type of a loan transaction.


        - `ADJUSTMENT`: Adjustment or correction.

        - `FEE`: Fee charge. For example, a late payment fee.

        - `INTEREST`: Interest charge.

        - `PAYMENT`: Required payment that satisfies the minimum payment (e.g.
        principal + interest for mortgages).

        - `LUMP_SUM_PAYMENT`: A single payment of money, as opposed to a series
        of payments made over time.

        - `SKIP_PAYMENT`: Payment that satisfies deferral of a required payment.

        - `DOUBLE_UP_PAYMENT`: Additional payment beyond the required payment to
        reduce the principal.

        - `PAYOFF`: Payment that satisfies the terms of the mortgage loan and
        completely pays off the debt.
      type: string
      enum:
        - ADJUSTMENT
        - FEE
        - INTEREST
        - PAYMENT
        - LUMP_SUM_PAYMENT
        - SKIP_PAYMENT
        - DOUBLE_UP_PAYMENT
        - PAYOFF
    LineOfCreditTransactionType:
      title: Line-Of-Credit Transaction Type
      description: |
        The type of a line of credit (LOC) transaction.
      type: string
      enum:
        - ADJUSTMENT
        - CHECK
        - FEE
        - INTEREST
        - PAYMENT
        - WITHDRAWAL
        - PURCHASE
    AccountCategory:
      title: Account Category type
      description: >
        The category of account. For example, annuity, commercial, deposit,
        insurance, investment, loan, or line of credit.
      enum:
        - ANNUITY_ACCOUNT
        - COMMERCIAL_ACCOUNT
        - DEPOSIT_ACCOUNT
        - INSURANCE_ACCOUNT
        - INVESTMENT_ACCOUNT
        - LOAN_ACCOUNT
        - LOC_ACCOUNT
    Timestamp:
      title: Timestamp
      description: >
        ISO 8601 date-time in format `YYYY-MM-DDThh:mm:ss.nnn[Z|[+|-]hh:mm]`
        according to

        [IETF
        RFC3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6)
      type: string
      format: date-time
      example: '2021-07-15T14:46:41.375Z'
    DebitCreditMemo:
      title: DebitCreditMemo
      description: >
        The posting type of a transaction. Because the transaction `amount` is
        an absolute value, this parameter is required to indicate the
        transaction direction and sign (+/-):

        - `DEBIT`: Money is leaving the account. The transaction amount will be
        exposed with a **positive** sign (+)

        - `CREDIT`: Money is entering the account. The transaction amount will
        be exposed with a **negative** sign (-)

        - `MEMO`: The transaction is pending and will be completed at the end of
        the day.
      type: string
      enum:
        - CREDIT
        - DEBIT
        - MEMO
    TransactionStatus:
      title: Transaction Status
      description: |
        The status of a transaction.
        * `AUTHORIZATION`
        * `MEMO` - A pending transaction to be completed at the end of this day
        * `PENDING` - A pending transaction
        * `POSTED` - A posted transaction
      type: string
      enum:
        - AUTHORIZATION
        - MEMO
        - PENDING
        - POSTED
    Iso4217Code:
      title: ISO 4217 Code
      description: >
        Currency, fund and precious metal codes as of Jan. 1, 2023 per [ISO 4217
        Currency Code
        Maintenance](https://www.six-group.com/en/products-services/financial-information/data-standards.html)
      type: string
      example: CAD
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BOV
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHE
        - CHF
        - CHW
        - CLF
        - CLP
        - CNY
        - COP
        - COU
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MXV
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - USN
        - UYI
        - UYU
        - UYW
        - UZS
        - VED
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XBA
        - XBB
        - XBC
        - XBD
        - XCD
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - XSU
        - XTS
        - XUA
        - XXX
        - YER
        - ZAR
        - ZMW
        - ZWL
  responses:
    responseErrorCustomerIdNotFound:
      description: The customer ID in the URL path is invalid or not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GenericError'
            example:
              error: Customer not found
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/TODO) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````